<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myWeServiceTypeLabel" jhiTranslate="mpmApp.weServiceType.home.createOrEditLabel">Create or edit a We Service Type</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!weServiceType.idWeType">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="weServiceType.idWeType" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.weServiceType.flatRateTime" for="field_flatRateTime">Flat Rate Time</label>
            <input currencyMask class="form-control" name="flatRateTime" id="field_flatRateTime"
                [(ngModel)]="weServiceType.flatRateTime"
                [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                 />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.weServiceType.service" for="field_service">Service</label>
            <select class="form-control" id="field_service" name="service" [(ngModel)]="weServiceType.serviceId">
                <option [ngValue]="null"></option>
                <option [ngValue]="serviceOption.idProduct" *ngFor="let serviceOption of services; trackBy: trackServiceById">{{serviceOption.name}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
